Bug 184142 - K3b either seizes up when trying to change burning device or does not recognize both of them
K3b either seizes up when trying to change burning device or does not recogni...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 14:54 EST by Jan-Petter Vainionpaa
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-07 18:17:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg output of my system (14.27 KB, text/plain)
2006-03-06 14:59 EST, Jan-Petter Vainionpaa
no flags Details
lshal output of by system (84.27 KB, text/plain)
2006-03-06 15:00 EST, Jan-Petter Vainionpaa
no flags Details
lsmod output of my system (2.48 KB, text/plain)
2006-03-06 15:01 EST, Jan-Petter Vainionpaa
no flags Details
lshal output of my system (84.27 KB, text/plain)
2006-03-06 15:02 EST, Jan-Petter Vainionpaa
no flags Details
lspci output of my system (1.74 KB, text/plain)
2006-03-06 15:04 EST, Jan-Petter Vainionpaa
no flags Details
Here is sysreport taken after rebooting my system. It was impossible to take at the same time. (395.68 KB, application/octet-stream)
2006-04-07 17:25 EDT, Jan-Petter Vainionpaa
no flags Details

  None (edit)
Description Jan-Petter Vainionpaa 2006-03-06 14:54:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.1) Gecko/20060210 Fedora/1.5.0.1-3 Firefox/1.5.0.1

Description of problem:
I have two CD burning devices installed in my machine. (PLEXTOR DVDR PX-712A, ATAPI CD/DVD-ROM drive and LG's HL-DT-ST RW/DVD GCC-4521B, ATAPI CD/DVD-ROM drive).

When I try to change burning device from one to another K3b freezes. At times only one of the burning devices is visible in the drop down dialog.

With FC4 I did not have this kind of problems with this same machine. Both burning devices were selectable without any tricks.



Version-Release number of selected component (if applicable):
k3b-0.12.10-2.2

How reproducible:
Always

Steps to Reproduce:
1.Start K3b 
2.Create new data CD project (no need to modify project settings)
3.Drag some content to be burned
4.Click "Burn" button
5.Try to change burning device from drop down dialog 
  

Actual Results:  Both burning devices should be selectable from drop down dialog, and K3b should not freeze when switching between them.


Expected Results:  In step 5. There is either only one of the two devices visible, or if both are visible and I try to change the selection from the default k3b seizes up.



Additional info:

I'm using LVM. No patches applied to FC5 test3.

The device which k3b recognizes only on or both of them at a time. This seems to change from one system boot to another. At times LG device is recognized, other times Plextor and sometimes both of them.

Every time both of these devices can read my CD's properly when inserting one into either one of the devices.

I'm still not sure wether this is a K3b broblem or is it related to some library k3b uses. I'm not familiar with the details, but I can try to dig out further information if someone instructs how to do it :)
Comment 1 Jan-Petter Vainionpaa 2006-03-06 14:59:35 EST
Created attachment 125718 [details]
Dmesg output of my system
Comment 2 Jan-Petter Vainionpaa 2006-03-06 15:00:22 EST
Created attachment 125719 [details]
lshal output of by system
Comment 3 Jan-Petter Vainionpaa 2006-03-06 15:01:37 EST
Created attachment 125720 [details]
lsmod output of my system
Comment 4 Jan-Petter Vainionpaa 2006-03-06 15:02:32 EST
Created attachment 125721 [details]
lshal output of my system
Comment 5 Jan-Petter Vainionpaa 2006-03-06 15:04:26 EST
Created attachment 125722 [details]
lspci output of my system
Comment 6 Jan-Petter Vainionpaa 2006-03-06 15:13:37 EST
I'm terribly sorry about my typos in the original report!

> Actual Results:  Both burning devices should be selectable from drop down
>dialog, and K3b should not freeze when switching between them.
> 
> Expected Results:  In step 5. There is either only one of the two devices
>visible, or if both are visible and I try to change the selection from the
>default k3b seizes up.

Expected and actual results have "changed places" in my post. I'm sorry  about
messing them up. 

And in additional info the second paragraph should be as folows:

"The k3b either recognizes only one of the two devices or both of them at a
time. This seems to change from one system boot to another. At times LG device
is recognized, other times Plextor and sometimes both of them."
Comment 7 Jan-Petter Vainionpaa 2006-04-07 16:23:06 EDT
This is still very much a problem in FC5 final with fully updated system (7.4.2006).

Now both devices are recognized by k3b, but if I try to switch burning device
whole system becomes slow and unresponsive. 


Comment 8 Jan-Petter Vainionpaa 2006-04-07 16:53:03 EDT
I forget to mention that I'm able to burn DVD iso-images just fine. And SELinux
is disabled.

But when I first time tried to burn CD ROM iso image and tried to change burning
device system became very unresponsive. There was very heavy disk load (k3b and
kswapd took a lot of CPU time). I had to reset my computer (by switching it off)
and after that when I start k3b and select "Burn CD iso image" k3b seizes and
does not show me the burn dialog and same time the system is very unresponsive
(heavy disk load again plus k3b and kswapd using lot of CPU time).

After rebooting system works normally untill I try to use k3b again :)
Comment 9 Jan-Petter Vainionpaa 2006-04-07 17:25:58 EDT
Created attachment 127484 [details]
Here is sysreport taken after rebooting my system. It was impossible to take at the same time.
Comment 10 Jan-Petter Vainionpaa 2006-04-07 18:17:49 EDT
Final report :)

After removing all kde related configuration files/directories from my home
directory and restarting k3b, system started to work ok (k3b-0.12.14-0.FC5.2,
cdrdao-1.2.1-1). 

I also closed a bunch of services I do not need (like autofs, for some reason I
had a lot of unnecessary services running there :)).


Note You need to log in before you can comment on or make changes to this bug.